
Figure - Bug #112775
测试 Test-IT # 111062 (New): V3.0功能测试

测试 Test-IT # 111067 (New): AF-V3.0--Launcher/SystemUI-任务管理器

【AF】【EVT】【任务管理器】通过不同的方式多次进入同一个应用，后台进程该应用的进程卡片重复出现
2022-10-21 18:45 - CD TEST-方永红

Status: CLOSED Start date: 2022-10-21

Priority: High Due date: 2022-10-26

Assignee: CD TEST-方永红 % Done: 100%

Category: CD-APP Estimated time: 0.00 hour

Target version: VX1_MCE_FSE_V3.0_20221030

Need_Info: -- Found Version: FlatBuild_VX1_MCE_xx.xx_FSE.D.userdebug.0.0.0.20221021.alpha

Resolution: FIXED Degrated: --

Severity: Major Verified Version: FlatBuild_VX1_MCE_xx.xx_FSE.D.user.0.0.0.20221026.alpha

Reproducibility: Every time Fixed Version: 2022-10-26

Test Type: IT Root cause: 以小窗模式启动应用，进入recent对recenttask做逻辑处理

Description

【前提条件】

1、设备已开机

2、后台无进程

【测试步骤】

以（图库）为例

1、打开一个小窗，退出

2、打开一个应用退出

3、进入多任务管理器，点击卡片左上角的小框框，进入小窗模式，关闭

4、进入多任务管理器，点击小窗应用里面的图库，关闭

5、打开图库应用向上滑动直接进入多任务管理器

6、查看后台进程

【预期结果】

3、后台只有一个图库应用功能卡片

【实际结果】

3、后台有多个图库的进程卡片

History

#1 - 2022-10-23 12:02 - CD APP-王营

■ Current conclusion

等待小窗功能优化后和小窗进行联调

■ My analysis

当前小窗多次启动会将多个任务放入tasklist，此处需要小窗独立管理小窗任务。

■ Next action

请小窗同事调整小窗启动的相关逻辑后再进行联调

#2 - 2022-10-24 16:48 - CD APP-王营

- Status changed from New to ASSIGNED

- Assignee changed from CD APP-王营 to DL FW-王琳
#3 - 2022-10-24 20:46 - DL FW-王琳

- Assignee changed from DL FW-王琳 to DL FW-张挽强

理解这个问题, 是今天已经提交的代码中解决了, 你那边验证vb的时候, 再验证下, 如果没有问题的话, 往下走单的.

#4 - 2022-10-25 10:17 - CDTS-TEST 周婷

- Due date set to 2022-10-26

#5 - 2022-10-25 18:02 - DL FW-张挽强

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from DL FW-张挽强 to CD TEST-方永红

- % Done changed from 0 to 100

- Resolution changed from -- to FIXED

- Fixed Version set to 2022-10-26

- Root cause set to 以小窗模式启动应用，进入recent对recenttask做逻辑处理

#6 - 2022-10-26 14:11 - CD TEST-方永红

- Status changed from RESOLVED to VERIFIED

- Verified Version set to FlatBuild_VX1_MCE_xx.xx_FSE.D.user.0.0.0.20221026.alpha

10.26 验证关闭（由于设置的特殊性，另起票跟踪）

#7 - 2022-10-26 14:11 - CD TEST-方永红

- Status changed from VERIFIED to CLOSED

Files

任务管理栏后台显示.png 111 KB 2022-10-21 CD TEST-方永红

126.txt 7.85 MB 2022-10-21 CD TEST-方永红
